Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class ClassExtender

A helper class used by the runtime to allow Groovy classes to be extended at runtime

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Map` | `methods`
`Map` | `variables`

Constructor Summary
`ClassExtender()`

Method Summary
`void` | `addMethod(String name, Closure closure)`
`void` | `call(String name, Object params)`
`Map` | `createMap()`
`Object` | `get(String name)`
`void` | `remove(String name)`
`void` | `removeMethod(String name)`
`void` | `set(String name, Object value)`

Constructor Detail

### ClassExtender

    ClassExtender()

Method Detail

### addMethod

    public void addMethod(String name, Closure closure)

### call

    public void call(String name, Object params)

### createMap

    Map createMap()

### get

    public Object get(String name)

### remove

    public void remove(String name)

### removeMethod

    public void removeMethod(String name)

### set

    public void set(String name, Object value)